unit tpPeg_GclFme;

interface

uses
  tpPeg_GclDm,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, sdGridDBA, ZJGrid, dxBar;

type
  TtpPeg_GclFrame = class(TFrame)
    zgGclBills: TZJGrid;
    saGclBills: TsdGridDBA;
    sprPeg_Gcl: TSplitter;
    zgPeg: TZJGrid;
    saPeg: TsdGridDBA;
    dxBarPopupMenu1: TdxBarPopupMenu;
  private
    FPeg_GclData: TtpPeg_GclData;
    procedure SetPeg_GclData(const Value: TtpPeg_GclData);
  public
    property Peg_GclData: TtpPeg_GclData read FPeg_GclData write SetPeg_GclData;
  end;

implementation

{$R *.dfm}

{ TtpPeg_GclFrame }

procedure TtpPeg_GclFrame.SetPeg_GclData(const Value: TtpPeg_GclData);
begin
  FPeg_GclData := Value;

  saPeg.DataView := FPeg_GclData.sdvPeg;
  saGclBills.DataView := FPeg_GclData.sdvGclBills;
end;

end.
